KD SOAP API Documentation: KDSoapPendingCall::Private Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
KDSoapPendingCall::Private Class Reference

`#include <KDSoapPendingCall_p.h>`

Inheritance diagram for KDSoapPendingCall::Private:
[legend]
Collaboration diagram for KDSoapPendingCall::Private:
[legend]

## Public Member Functions
| Private (QNetworkReply *r, QBuffer *b)
| ~Private ()
void | parseReply ()
KDSoapValue | parseReplyElement (QXmlStreamReader &reader)
Public Member Functions inherited from QSharedData
| QSharedData ()
| QSharedData (const QSharedData &)

## Public Attributes
QBuffer * | buffer
bool | parsed
QPointer< QNetworkReply > | reply
KDSoapHeaders | replyHeaders
KDSoapMessage | replyMessage
KDSoap::SoapVersion | soapVersion

## Detailed Description

Definition at line 25 of file KDSoapPendingCall_p.h.

## Constructor & Destructor Documentation

## ◆ Private()

KDSoapPendingCall::Private::Private | ( | QNetworkReply * | r,
|  | QBuffer * | b
| ) |  |
| inline

Definition at line 28 of file KDSoapPendingCall_p.h.

## ◆ ~Private()

KDSoapPendingCall::Private::~Private | ( |  | ) |

Definition at line 122 of file KDSoapPendingCall.cpp.

References buffer, QPointer::data(), QObject::disconnect(), QNetworkReply::finished(), and reply.

## Member Function Documentation

## ◆ parseReply()

void KDSoapPendingCall::Private::parseReply | ( |  | ) |

Definition at line 179 of file KDSoapPendingCall.cpp.

References QList::clear(), KDSoapMessage::createFaultMessage(), QNetworkReply::error(), QByteArray::isEmpty(), KDSoapMessage::isFault(), maybeDebugResponse(), QString::number(), QNetworkReply::OperationCanceledError, parsed, reply, replyHeaders, replyMessage, soapVersion, QNetworkReply::TimeoutError, and KDSoapMessageReader::xmlToMessage().

## ◆ parseReplyElement()

KDSoapValue KDSoapPendingCall::Private::parseReplyElement | ( | QXmlStreamReader & | reader | ) |

## Member Data Documentation

## ◆ buffer

QBuffer* KDSoapPendingCall::Private::buffer

Definition at line 43 of file KDSoapPendingCall_p.h.

Referenced by ~Private().

## ◆ parsed

bool KDSoapPendingCall::Private::parsed

Definition at line 47 of file KDSoapPendingCall_p.h.

Referenced by parseReply().

## ◆ reply

QPointer<QNetworkReply> KDSoapPendingCall::Private::reply

Definition at line 42 of file KDSoapPendingCall_p.h.

Referenced by ~Private(), and parseReply().

## ◆ replyHeaders

KDSoapHeaders KDSoapPendingCall::Private::replyHeaders

Definition at line 45 of file KDSoapPendingCall_p.h.

Referenced by parseReply().

## ◆ replyMessage

KDSoapMessage KDSoapPendingCall::Private::replyMessage

Definition at line 44 of file KDSoapPendingCall_p.h.

Referenced by parseReply().

## ◆ soapVersion

KDSoap::SoapVersion KDSoapPendingCall::Private::soapVersion

Definition at line 46 of file KDSoapPendingCall_p.h.

Referenced by parseReply().

The documentation for this class was generated from the following files:

- KDSoapPendingCall_p.h
- KDSoapPendingCall.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8